Subject: bug#23748: [bug-gnu-emacs] building emacs-25.0.95 on OpenIndiana

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Sat, 11 Jun 2016 17:53:59 -0600

I've had considerable success today building emacs-25.0.95 on scores
of different operating system and CPU flavors.

On OpenIndiana (an OpenSolaris descendant), I built with

	env CC=/opt/csw/bin/gcc ./configure && gmake all 

That got as far as the link stage, then died with

	  CCLD     temacs
	Undefined                       first referenced
	 symbol                             in file
	tparm                               terminfo.o

I found that the missing symbol is defined in /usr/lib/libtermlib.so.1,
which is a symlink to /lib/libcurses.so.1, but configure had chosen

	LIBS_TERMCAP=-ltermcap

and that library does not have the tparm symbol.

I noticed that configure.ac chooses among -lcurses, -lncurses,
-ltermcap, -lterminfo, and -ltinfo by testing on the system type,
rather than on the library contents.  Would it not be cleaner and
simpler just to check that, e.g., both tputs() and tparm() are
available in one of those libraries, and select the first one that has
both?

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------